#ifndef AT91x408xx_h
#define AT91x408xx_h
#define EBI_CSR0 (*(volatile unsigned *)0xffe00000)
#define EBI_CSR1 (*(volatile unsigned *)0xffe00004)
#define EBI_CSR2 (*(volatile unsigned *)0xffe00008)
#define EBI_CSR3 (*(volatile unsigned *)0xffe0000c)
#define EBI_CSR4 (*(volatile unsigned *)0xffe00010)
#define EBI_CSR5 (*(volatile unsigned *)0xffe00014)
#define EBI_CSR6 (*(volatile unsigned *)0xffe00018)
#define EBI_CSR7 (*(volatile unsigned *)0xffe0001c)
#define EBI_RCR (*(volatile unsigned *)0xffe00020)
#define EBI_MCR (*(volatile unsigned *)0xffe00024)
#define SF_CIDR (*(volatile unsigned *)0xfff00000)
#define SF_EXID (*(volatile unsigned *)0xfff00004)
#define SF_RSR (*(volatile unsigned *)0xfff00008)
#define SF_MMR (*(volatile unsigned *)0xfff0000c)
#define SF_PMR (*(volatile unsigned *)0xfff00018)
#define US_CR (*(volatile unsigned *)0xfffcc000)
#define US_MR (*(volatile unsigned *)0xfffcc004)
#define US_IER (*(volatile unsigned *)0xfffcc008)
#define US_IDR (*(volatile unsigned *)0xfffcc00c)
#define US_IMR (*(volatile unsigned *)0xfffcc010)
#define US_CSR (*(volatile unsigned *)0xfffcc014)
#define US_RHR (*(volatile unsigned *)0xfffcc018)
#define US_THR (*(volatile unsigned *)0xfffcc01c)
#define US_BRGR (*(volatile unsigned *)0xfffcc020)
#define US_RTOR (*(volatile unsigned *)0xfffcc024)
#define US_TTGR (*(volatile unsigned *)0xfffcc028)
#define US_RPR (*(volatile unsigned *)0xfffcc030)
#define US_RCR (*(volatile unsigned *)0xfffcc034)
#define US_TPR (*(volatile unsigned *)0xfffcc038)
#define US_TCR (*(volatile unsigned *)0xfffcc03c)
#define US_CR (*(volatile unsigned *)0xfffd0000)
#define US_MR (*(volatile unsigned *)0xfffd0004)
#define US_IER (*(volatile unsigned *)0xfffd0008)
#define US_IDR (*(volatile unsigned *)0xfffd000c)
#define US_IMR (*(volatile unsigned *)0xfffd0010)
#define US_CSR (*(volatile unsigned *)0xfffd0014)
#define US_RHR (*(volatile unsigned *)0xfffd0018)
#define US_THR (*(volatile unsigned *)0xfffd001c)
#define US_BRGR (*(volatile unsigned *)0xfffd0020)
#define US_RTOR (*(volatile unsigned *)0xfffd0024)
#define US_TTGR (*(volatile unsigned *)0xfffd0028)
#define US_RPR (*(volatile unsigned *)0xfffd0030)
#define US_RCR (*(volatile unsigned *)0xfffd0034)
#define US_TPR (*(volatile unsigned *)0xfffd0038)
#define US_TCR (*(volatile unsigned *)0xfffd003c)
#define TC0_CCR (*(volatile unsigned *)0xfffe0000)
#define TC0_CMR (*(volatile unsigned *)0xfffe0004)
#define TC0_CV (*(volatile unsigned *)0xfffe0010)
#define TC0_RA (*(volatile unsigned *)0xfffe0014)
#define TC0_RB (*(volatile unsigned *)0xfffe0018)
#define TC0_RC (*(volatile unsigned *)0xfffe001c)
#define TC0_SR (*(volatile unsigned *)0xfffe0020)
#define TC0_IER (*(volatile unsigned *)0xfffe0024)
#define TC0_IDR (*(volatile unsigned *)0xfffe0028)
#define TC0_IMR (*(volatile unsigned *)0xfffe002c)
#define TC1_CCR (*(volatile unsigned *)0xfffe0040)
#define TC1_CMR (*(volatile unsigned *)0xfffe0044)
#define TC1_CV (*(volatile unsigned *)0xfffe0050)
#define TC1_RA (*(volatile unsigned *)0xfffe0054)
#define TC1_RB (*(volatile unsigned *)0xfffe0058)
#define TC1_RC (*(volatile unsigned *)0xfffe005c)
#define TC1_SR (*(volatile unsigned *)0xfffe0060)
#define TC1_IER (*(volatile unsigned *)0xfffe0064)
#define TC1_IDR (*(volatile unsigned *)0xfffe0068)
#define TC1_IMR (*(volatile unsigned *)0xfffe006c)
#define TC2_CCR (*(volatile unsigned *)0xfffe0080)
#define TC2_CMR (*(volatile unsigned *)0xfffe0084)
#define TC2_CV (*(volatile unsigned *)0xfffe0090)
#define TC2_RA (*(volatile unsigned *)0xfffe0094)
#define TC2_RB (*(volatile unsigned *)0xfffe0098)
#define TC2_RC (*(volatile unsigned *)0xfffe009c)
#define TC2_SR (*(volatile unsigned *)0xfffe00a0)
#define TC2_IER (*(volatile unsigned *)0xfffe00a4)
#define TC2_IDR (*(volatile unsigned *)0xfffe00a8)
#define TC2_IMR (*(volatile unsigned *)0xfffe00ac)
#define TC_BCR (*(volatile unsigned *)0xfffe00c0)
#define TC_BMR (*(volatile unsigned *)0xfffe00c4)
#define PIO_PER (*(volatile unsigned *)0xffff0000)
#define PIO_PDR (*(volatile unsigned *)0xffff0004)
#define PIO_PSR (*(volatile unsigned *)0xffff0008)
#define PIO_OER (*(volatile unsigned *)0xffff0010)
#define PIO_ODR (*(volatile unsigned *)0xffff0014)
#define PIO_OSR (*(volatile unsigned *)0xffff0018)
#define PIO_IFER (*(volatile unsigned *)0xffff0020)
#define PIO_IFDR (*(volatile unsigned *)0xffff0024)
#define PIO_IFSR (*(volatile unsigned *)0xffff0028)
#define PIO_SODR (*(volatile unsigned *)0xffff0030)
#define PIO_CODR (*(volatile unsigned *)0xffff0034)
#define PIO_ODSR (*(volatile unsigned *)0xffff0038)
#define PIO_PDSR (*(volatile unsigned *)0xffff003c)
#define PIO_IER (*(volatile unsigned *)0xffff0040)
#define PIO_IDR (*(volatile unsigned *)0xffff0044)
#define PIO_IMR (*(volatile unsigned *)0xffff0048)
#define PIO_ISR (*(volatile unsigned *)0xffff004c)
#define PS_CR (*(volatile unsigned *)0xffff4000)
#define PS_PCER (*(volatile unsigned *)0xffff4004)
#define PS_PCDR (*(volatile unsigned *)0xffff4008)
#define PS_PCSR (*(volatile unsigned *)0xffff400c)
#define WD_OMR (*(volatile unsigned *)0xffff8000)
#define WD_CMR (*(volatile unsigned *)0xffff8004)
#define WD_CR (*(volatile unsigned *)0xffff8008)
#define WD_SR (*(volatile unsigned *)0xffff800c)
#define AIC_SMR0 (*(volatile unsigned *)0xfffff000)
#define AIC_SMR1 (*(volatile unsigned *)0xfffff004)
#define AIC_SMR2 (*(volatile unsigned *)0xfffff008)
#define AIC_SMR3 (*(volatile unsigned *)0xfffff00c)
#define AIC_SMR4 (*(volatile unsigned *)0xfffff010)
#define AIC_SMR5 (*(volatile unsigned *)0xfffff014)
#define AIC_SMR6 (*(volatile unsigned *)0xfffff018)
#define AIC_SMR7 (*(volatile unsigned *)0xfffff01c)
#define AIC_SMR8 (*(volatile unsigned *)0xfffff020)
#define AIC_SMR9 (*(volatile unsigned *)0xfffff024)
#define AIC_SMR10 (*(volatile unsigned *)0xfffff028)
#define AIC_SMR11 (*(volatile unsigned *)0xfffff02c)
#define AIC_SMR12 (*(volatile unsigned *)0xfffff030)
#define AIC_SMR13 (*(volatile unsigned *)0xfffff034)
#define AIC_SMR14 (*(volatile unsigned *)0xfffff038)
#define AIC_SMR15 (*(volatile unsigned *)0xfffff03c)
#define AIC_SMR16 (*(volatile unsigned *)0xfffff040)
#define AIC_SMR17 (*(volatile unsigned *)0xfffff044)
#define AIC_SMR18 (*(volatile unsigned *)0xfffff048)
#define AIC_SMR19 (*(volatile unsigned *)0xfffff04c)
#define AIC_SMR20 (*(volatile unsigned *)0xfffff050)
#define AIC_SMR21 (*(volatile unsigned *)0xfffff054)
#define AIC_SMR22 (*(volatile unsigned *)0xfffff058)
#define AIC_SMR23 (*(volatile unsigned *)0xfffff05c)
#define AIC_SMR24 (*(volatile unsigned *)0xfffff060)
#define AIC_SMR25 (*(volatile unsigned *)0xfffff064)
#define AIC_SMR26 (*(volatile unsigned *)0xfffff068)
#define AIC_SMR27 (*(volatile unsigned *)0xfffff06c)
#define AIC_SMR28 (*(volatile unsigned *)0xfffff070)
#define AIC_SMR29 (*(volatile unsigned *)0xfffff074)
#define AIC_SMR30 (*(volatile unsigned *)0xfffff078)
#define AIC_SMR31 (*(volatile unsigned *)0xfffff07c)
#define AIC_SVR0 (*(volatile unsigned *)0xfffff080)
#define AIC_SVR1 (*(volatile unsigned *)0xfffff084)
#define AIC_SVR2 (*(volatile unsigned *)0xfffff088)
#define AIC_SVR3 (*(volatile unsigned *)0xfffff08c)
#define AIC_SVR4 (*(volatile unsigned *)0xfffff090)
#define AIC_SVR5 (*(volatile unsigned *)0xfffff094)
#define AIC_SVR6 (*(volatile unsigned *)0xfffff098)
#define AIC_SVR7 (*(volatile unsigned *)0xfffff09c)
#define AIC_SVR8 (*(volatile unsigned *)0xfffff0a0)
#define AIC_SVR9 (*(volatile unsigned *)0xfffff0a4)
#define AIC_SVR10 (*(volatile unsigned *)0xfffff0a8)
#define AIC_SVR11 (*(volatile unsigned *)0xfffff0ac)
#define AIC_SVR12 (*(volatile unsigned *)0xfffff0b0)
#define AIC_SVR13 (*(volatile unsigned *)0xfffff0b4)
#define AIC_SVR14 (*(volatile unsigned *)0xfffff0b8)
#define AIC_SVR15 (*(volatile unsigned *)0xfffff0bc)
#define AIC_SVR16 (*(volatile unsigned *)0xfffff0c0)
#define AIC_SVR17 (*(volatile unsigned *)0xfffff0c4)
#define AIC_SMR18 (*(volatile unsigned *)0xfffff0c8)
#define AIC_SMR19 (*(volatile unsigned *)0xfffff0cc)
#define AIC_SMR20 (*(volatile unsigned *)0xfffff0d0)
#define AIC_SMR21 (*(volatile unsigned *)0xfffff0d4)
#define AIC_SMR22 (*(volatile unsigned *)0xfffff0d8)
#define AIC_SMR23 (*(volatile unsigned *)0xfffff0dc)
#define AIC_SMR24 (*(volatile unsigned *)0xfffff0e0)
#define AIC_SMR25 (*(volatile unsigned *)0xfffff0e4)
#define AIC_SMR26 (*(volatile unsigned *)0xfffff0e8)
#define AIC_SMR27 (*(volatile unsigned *)0xfffff0ec)
#define AIC_SMR28 (*(volatile unsigned *)0xfffff0f0)
#define AIC_SMR29 (*(volatile unsigned *)0xfffff0f4)
#define AIC_SMR30 (*(volatile unsigned *)0xfffff0f8)
#define AIC_SMR31 (*(volatile unsigned *)0xfffff0fc)
#define AIC_IVR (*(volatile unsigned *)0xfffff100)
#define AIC_FVR (*(volatile unsigned *)0xfffff104)
#define AIC_ISR (*(volatile unsigned *)0xfffff108)
#define AIC_IPR (*(volatile unsigned *)0xfffff10c)
#define AIC_IMR (*(volatile unsigned *)0xfffff110)
#define AIC_CISR (*(volatile unsigned *)0xfffff114)
#define AIC_IECR (*(volatile unsigned *)0xfffff120)
#define AIC_IDCR (*(volatile unsigned *)0xfffff124)
#define AIC_ICCR (*(volatile unsigned *)0xfffff128)
#define AIC_ISCR (*(volatile unsigned *)0xfffff12c)
#define AIC_EOICR (*(volatile unsigned *)0xfffff130)
#define AIC_SPU (*(volatile unsigned *)0xfffff134)
#endif
