#ifndef ML674000_h
#define ML674000_h
#define IRQ (*(volatile unsigned long *)0x78000000)
#define IRQS (*(volatile unsigned long *)0x78000004)
#define FIQ (*(volatile unsigned long *)0x78000008)
#define FIQRAW (*(volatile unsigned long *)0x7800000c)
#define FIQEN (*(volatile unsigned long *)0x78000010)
#define IRN (*(volatile unsigned long *)0x78000014)
#define CIL (*(volatile unsigned long *)0x78000018)
#define ILC0 (*(volatile unsigned long *)0x78000020)
#define ILC1 (*(volatile unsigned long *)0x78000024)
#define CILCL (*(volatile unsigned long *)0x78000028)
#define CILE (*(volatile unsigned long *)0x7800002c)
#define BWC (*(volatile unsigned long *)0x78100000)
#define ROMAC (*(volatile unsigned long *)0x78100004)
#define RAMAC (*(volatile unsigned long *)0x78100008)
#define IO0AC (*(volatile unsigned long *)0x7810000c)
#define IO1AC (*(volatile unsigned long *)0x78100010)
#define DBWC (*(volatile unsigned long *)0x78180000)
#define DRMC (*(volatile unsigned long *)0x78180004)
#define DRPC (*(volatile unsigned long *)0x78180008)
#define SDMD (*(volatile unsigned long *)0x7818000c)
#define DCMD (*(volatile unsigned long *)0x78180010)
#define RFSH0 (*(volatile unsigned long *)0x78180014)
#define RDWC (*(volatile unsigned long *)0x78180018)
#define RFSH1 (*(volatile unsigned long *)0x7818001c)
#define DMAMOD (*(volatile unsigned long *)0x7be00000)
#define DMASTA (*(volatile unsigned long *)0x7be00004)
#define DMAINT (*(volatile unsigned long *)0x7be00008)
#define DMACMSK0 (*(volatile unsigned long *)0x7be00100)
#define DMACTMOD0 (*(volatile unsigned long *)0x7be00104)
#define DMACSAD0 (*(volatile unsigned long *)0x7be00108)
#define DMACDAD0 (*(volatile unsigned long *)0x7be0010c)
#define DMACSIZ0 (*(volatile unsigned long *)0x7be00110)
#define DMACCINT0 (*(volatile unsigned long *)0x7be00114)
#define DMACMSK1 (*(volatile unsigned long *)0x7be00200)
#define DMACTMOD1 (*(volatile unsigned long *)0x7be00204)
#define DMACSAD1 (*(volatile unsigned long *)0x7be00208)
#define DMACDAD1 (*(volatile unsigned long *)0x7be0020c)
#define DMACSIZ1 (*(volatile unsigned long *)0x7be00210)
#define DMACCINT1 (*(volatile unsigned long *)0x7be00214)
#define IRCL (*(volatile unsigned long *)0x7bf00004)
#define IRQA (*(volatile unsigned long *)0x7bf00010)
#define IDM (*(volatile unsigned long *)0x7bf00014)
#define ILC (*(volatile unsigned long *)0x7bf00018)
#define ADCON0 (*(volatile unsigned short *)0xb6000000)
#define ADCON1 (*(volatile unsigned short *)0xb6000004)
#define ADCON2 (*(volatile unsigned short *)0xb6000008)
#define ADINT (*(volatile unsigned short *)0xb600000c)
#define ADFINT (*(volatile unsigned short *)0xb6000010)
#define ADR0 (*(volatile unsigned short *)0xb6000014)
#define ADR1 (*(volatile unsigned short *)0xb6000018)
#define ADR2 (*(volatile unsigned short *)0xb600001c)
#define ADR3 (*(volatile unsigned short *)0xb6000020)
#define ADR4 (*(volatile unsigned short *)0xb6000024)
#define ADR5 (*(volatile unsigned short *)0xb6000028)
#define ADR6 (*(volatile unsigned short *)0xb600002c)
#define ADR7 (*(volatile unsigned short *)0xb6000030)
#define GPCTL (*(volatile unsigned short *)0xb7000000)
#define BCKCTL (*(volatile unsigned short *)0xb7000004)
#define GPPOA (*(volatile unsigned short *)0xb7a00000)
#define GPPIA (*(volatile unsigned short *)0xb7a00004)
#define GPPMA (*(volatile unsigned short *)0xb7a00008)
#define GPIEA (*(volatile unsigned short *)0xb7a0000c)
#define GPIPA (*(volatile unsigned short *)0xb7a00010)
#define GPISA (*(volatile unsigned short *)0xb7a00014)
#define GPPOB (*(volatile unsigned short *)0xb7a00020)
#define GPPIB (*(volatile unsigned short *)0xb7a00024)
#define GPPMB (*(volatile unsigned short *)0xb7a00028)
#define GPIEB (*(volatile unsigned short *)0xb7a0002c)
#define GPIPB (*(volatile unsigned short *)0xb7a00030)
#define GPISB (*(volatile unsigned short *)0xb7a00034)
#define UARTDLL (*(volatile unsigned char *)0xb7b00000)
#define UARTRBR (*(volatile unsigned char *)0xb7b00000)
#define UARTTHR (*(volatile unsigned char *)0xb7b00000)
#define UARTDLM (*(volatile unsigned char *)0xb7b00004)
#define UARTIER (*(volatile unsigned char *)0xb7b00004)
#define UARTFCR (*(volatile unsigned char *)0xb7b00008)
#define UARTIIR (*(volatile unsigned char *)0xb7b00008)
#define UARTLCR (*(volatile unsigned char *)0xb7b0000c)
#define UARTMCR (*(volatile unsigned char *)0xb7b00010)
#define UARTLSR (*(volatile unsigned char *)0xb7b00014)
#define UARTMSR (*(volatile unsigned char *)0xb7b00018)
#define UARTSCR (*(volatile unsigned char *)0xb7b0001c)
#define PWR0 (*(volatile unsigned short *)0xb7d00000)
#define PWCY0 (*(volatile unsigned short *)0xb7d00004)
#define PWC0 (*(volatile unsigned short *)0xb7d00008)
#define PWCON0 (*(volatile unsigned short *)0xb7d0000c)
#define PWR1 (*(volatile unsigned short *)0xb7d00020)
#define PWCY1 (*(volatile unsigned short *)0xb7d00024)
#define PWC1 (*(volatile unsigned short *)0xb7d00028)
#define PWCON1 (*(volatile unsigned short *)0xb7d0002c)
#define PWINTSTS (*(volatile unsigned short *)0xb7d0003c)
#define WDTCON (*(volatile unsigned char *)0xb7e00000)
#define WDTBCON (*(volatile unsigned char *)0xb7e00004)
#define WDSTAT (*(volatile unsigned char *)0xb7e00014)
#define TIMECNTL0 (*(volatile unsigned short *)0xb7f00000)
#define TIMEBASE0 (*(volatile unsigned short *)0xb7f00004)
#define TIMECNT0 (*(volatile unsigned short *)0xb7f00008)
#define TIMECMP0 (*(volatile unsigned short *)0xb7f0000c)
#define TIMESTAT0 (*(volatile unsigned short *)0xb7f00010)
#define TIMECNTL1 (*(volatile unsigned short *)0xb7f00020)
#define TIMEBASE1 (*(volatile unsigned short *)0xb7f00024)
#define TIMECNT1 (*(volatile unsigned short *)0xb7f00028)
#define TIMECMP1 (*(volatile unsigned short *)0xb7f0002c)
#define TIMESTAT1 (*(volatile unsigned short *)0xb7f00030)
#define TIMECNTL2 (*(volatile unsigned short *)0xb7f00040)
#define TIMEBASE2 (*(volatile unsigned short *)0xb7f00044)
#define TIMECNT2 (*(volatile unsigned short *)0xb7f00048)
#define TIMECMP2 (*(volatile unsigned short *)0xb7f0004c)
#define TIMESTAT2 (*(volatile unsigned short *)0xb7f00050)
#define TIMECNTL3 (*(volatile unsigned short *)0xb7f00060)
#define TIMEBASE3 (*(volatile unsigned short *)0xb7f00064)
#define TIMECNT3 (*(volatile unsigned short *)0xb7f00068)
#define TIMECMP3 (*(volatile unsigned short *)0xb7f0006c)
#define TIMESTAT3 (*(volatile unsigned short *)0xb7f00070)
#define TIMECNTL4 (*(volatile unsigned short *)0xb7f00080)
#define TIMEBASE4 (*(volatile unsigned short *)0xb7f00084)
#define TIMECNT4 (*(volatile unsigned short *)0xb7f00088)
#define TIMECMP4 (*(volatile unsigned short *)0xb7f0008c)
#define TIMESTAT4 (*(volatile unsigned short *)0xb7f00090)
#define TIMECNTL5 (*(volatile unsigned short *)0xb7f000a0)
#define TIMEBASE5 (*(volatile unsigned short *)0xb7f000a4)
#define TIMECNT5 (*(volatile unsigned short *)0xb7f000a8)
#define TIMECMP5 (*(volatile unsigned short *)0xb7f000ac)
#define TIMESTAT5 (*(volatile unsigned short *)0xb7f000b0)
#define CLKSTP (*(volatile unsigned long *)0xb8000004)
#define CGBCNT0 (*(volatile unsigned long *)0xb8000008)
#define CKWT (*(volatile unsigned long *)0xb800000c)
#define RMPCON (*(volatile unsigned long *)0xb8000010)
#define TMEN (*(volatile unsigned long *)0xb8001004)
#define TMRLR (*(volatile unsigned long *)0xb8001008)
#define TMOVFR (*(volatile unsigned long *)0xb8001010)
#define SIOBUF (*(volatile unsigned long *)0xb8002000)
#define SIOSTA (*(volatile unsigned long *)0xb8002004)
#define SIOCON (*(volatile unsigned long *)0xb8002008)
#define SIOBCN (*(volatile unsigned long *)0xb800200c)
#define SIOBT (*(volatile unsigned long *)0xb8002014)
#define SIOTCN (*(volatile unsigned long *)0xb8002018)
#endif
